/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VZonas;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VZonasFacadeLocal {

    void create(VZonas vZonas);

    void edit(VZonas vZonas);

    void remove(VZonas vZonas);

    VZonas find(Object id);

    List<VZonas> findAll();

    List<VZonas> findRange(int[] range);

    int count();

    List<VZonas> busquedaSucursal(String sucursalCodigo);

}
